%define lib_name libpfs
%def_disable static

Name: pfstools
Version: 1.6.2
Release: alt1

Summary: High Dynamic Range (HDR) Images and Video manipulation tools
License: GPL
Group: Graphics

Url: http://www.mpi-inf.mpg.de/resources/pfstools/
Source: http://dl.sourceforge.net/pfstools/pfstools-%version.tar.gz

# Automatically added by buildreq on Mon Jun 18 2007
BuildRequires: gcc-c++ libglut-devel libImageMagick-devel libmesa-devel libnetpbm-devel libqt3-devel libSM-devel libtiff-devel libXcursor-devel libXft-devel libXinerama-devel libXrandr-devel openexr-devel tetex-latex

Requires: %lib_name = %version-%release

%description
pfstools package is a set of command line (and one GUI) programs for reading,
writing, manipulating and viewing high-dynamic range (HDR) images and video
frames. All programs in the package exchange data using a simple generic file
format (pfs) for HDR data. The concept of the pfstools is similar to netpbm
package for low-dynamic range images.

%package -n %lib_name
Summary: Library for %name
Group: System/Libraries

%description -n %lib_name
This package contain the library needed to run programs linked 
with %lib_name.

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %lib_name
Group: Development/C++
Requires: %lib_name = %version-%release

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop 
application which will use %lib_name

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n %lib_name -p %post_ldconfig
%postun -n %lib_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*

%files -n %lib_name
%_libdir/*.so.*

%files -n %lib_name-devel
%_includedir/pfs-*
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%changelog
* Fri Jul 06 2007 Victor Forsyuk <force@altlinux.org> 1.6.2-alt1
- 1.6.2

* Mon Jun 18 2007 Victor Forsyuk <force@altlinux.org> 1.6.1-alt2
- Build with libnetpbm-devel and libImageMagick-devel.

* Thu Jun 07 2007 Victor Forsyuk <force@altlinux.org> 1.6.1-alt1
- Initial build.
